#!/bin/sh
gitname=slapt-src
rm -rf $gitname
pkgname=slapt-src
url=https://github.com/jaos/slapt-src.git
git clone $url
(cd $gitname
autoreconf -if
git log --pretty=format:'%h' -n 1 > ../githash
rm -rf .git
)
pkgver=$(<githash)
mv $gitname ${pkgname}-${pkgver}
tar --use-compress-program xz -cf ${pkgname}-$pkgver.tar.xz ${pkgname}-${pkgver}/
